## evolution 3.50.0

=== CMakeLists.txt ===
# Evolution build script

cmake_minimum_required(VERSION 3.1)
cmake_policy(VERSION 3.1)

project(evolution
	VERSION 3.50.0
	LANGUAGES C)
set(PROJECT_BUGREPORT "https://gitlab.gnome.org/GNOME/evolution/issues/")
set(PROJECT_URL "http://wiki.gnome.org/Apps/Evolution/")

# Base Version: This is for API/version tracking for things like
# D-Bus server files. This should always be the major/minor of
# the stable version or stable version to be.
set(BASE_VERSION 3.50)

# Used for pkg-config files
set(INTERFACE_VERSION 3.0)

math(EXPR _is_devel_version "${PROJECT_VERSION_MINOR}%2")
if(_is_devel_version EQUAL 1)
	math(EXPR _minor "${PROJECT_VERSION_MINOR}-1")
	if(_minor EQUAL -1)
		set(_minor 98)
		math(EXPR _major "${PROJECT_VERSION_MAJOR}-1")
	else(_minor EQUAL -1)
		set(_major ${PROJECT_VERSION_MAJOR})
	endif(_minor EQUAL -1)

	set(STABLE_VERSION "${_major}.${_minor}")
	set(APPDATA_RELEASE_TYPE "development")
else(_is_devel_version EQUAL 1)
	unset(STABLE_VERSION)
	set(APPDATA_RELEASE_TYPE "stable")
endif(_is_devel_version EQUAL 1)

# Required for FindIntltool module
set(GETTEXT_PACKAGE ${PROJECT_NAME})
set(GETTEXT_PO_DIR ${CMAKE_SOURCE_DIR}/po)

# Required for 'disttest' and 'distcheck' of DistTarget module
set(PROJECT_DISTCONFIGURE_PARAMS
	-DENABLE_GTK_DOC=ON
	-DENABLE_CONTACT_MAPS=ON
	-DENABLE_INSTALLED_TESTS=ON
	-DWITH_HELP=ON
	-DWITH_GLADE_CATALOG=ON
)

# Keep these two definitions in agreement.
set(glib_minimum_version 2.66)
set(glib_encoded_version GLIB_VERSION_2_56)

# Keep these two definitions in agreement.
set(gdk_minimum_version 3.22)
set(gdk_encoded_version GDK_VERSION_3_22)

# Keep these two definitions in agreement.
set(soup_minimum_version 3.0)
set(soup_encoded_version SOUP_VERSION_3_0)

# Warn about API usage that violates our minimum requirements.
add_definitions(-DGLIB_VERSION_MAX_ALLOWED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MAX_ALLOWED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MAX_ALLOWED=${soup_encoded_version})

# These will suppress warnings about newly-deprecated symbols. Ideally
# these settings should match our minimum requirements and we will clean
# up any new deprecation warnings after bumping our minimum requirements.
# But if the warnings get to be overwhelming, use fixed versions instead.
add_definitions(-DGLIB_VERSION_MIN_REQUIRED=${glib_encoded_version})
add_definitions(-DGDK_VERSION_MIN_REQUIRED=${gdk_encoded_version})
add_definitions(-DSOUP_VERSION_MIN_REQUIRED=${soup_encoded_version})

set(eds_minimum_version ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
set(enchant1_minimum_version 1.6.0)
set(enchant2_minimum_version 2.2.0)
set(gdk_pixbuf_minimum_version 2.24.0)
set(gnome_desktop_minimum_version 2.91.3)
set(gsettings_desktop_schemas_minimum_version 2.91.92)
set(libpst_minimum_version 0.6.54)
set(libsecret_minimum_version 0.5)
set(libxml_minimum_version 2.7.3)
set(shared_mime_info_minimum_version 0.22)
set(webkit2gtk_minimum_version 2.34.0)
set(sqlite_minimum_version 3.7.17)

# Optional Packages
set(champlain_minimum_version 0.12.21)
set(clutter_gtk_minimum_version 0.90)
set(geocode_glib_minimum_version 3.26.3)
set(gladeui_minimum_version 3.10.0)
set(gnome_autoar_minimum_version 0.1.1)
set(gweather_minimum_version 3.91)
set(libcanberra_gtk_minimum_version 0.25)
set(libnotify_minimum_version 0.7)
set(libunity_minimum_version 7.1.4)

# Load modules from the source tree
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
# Packagers might want to need different settings for the RPATH related things
# From experience, especially CMAKE_BUILD_WITH_INSTALL_RPATH might need to be
# switched to ON, if CMake fails to set the right values during make install
set(CMAKE_SKIP_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_SKIP_BUILD_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_BUILD_WITH_INSTALL_RPATH OFF CACHE BOOL INTERNAL)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON CACHE BOOL INTERNAL)
# CMAKE_INSTALL_RPATH is set below

# CMake modules
include(CheckCCompilerFlag)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckLibraryExists)

# Project custom modules
include(PrintableOptions)

add_printable_variable(LIB_SUFFIX "Library directory suffix, usually defined to '64' for x86_64 systems" "")
add_printable_variable_bare(CMAKE_INSTALL_PREFIX)
add_printable_variable_path(BIN_INSTALL_DIR "Install directory for binary files, defaults to CMAKE_INSTALL_PREFIX/bin" "")
add_printable_variable_path(INCLUDE_INSTALL_DIR "Install directory for header files, defaults to CMAKE_INSTALL_PREFIX/include" "")
add_printable_variable_path(LIB_INSTALL_DIR "Install directory for library files, defaults to CMAKE_INSTALL_PREFIX/lib{LIB_SUFFIX}" "")
add_printable_variable_path(LIBEXEC_INSTALL_DIR "Install directory for library executable files, defaults to CMAKE_INSTALL_PREFIX/libexec" "")
add_printable_variable_path(SHARE_INSTALL_PREFIX "Install directory for shared files, defaults to CMAKE_INSTALL_PREFIX/share" "")
add_printable_variable_path(LOCALE_INSTALL_DIR "Install directory for locale files, defaults to SHARE_INSTALL_PREFIX/locale" "")
add_printable_variable_path(SYSCONF_INSTALL_DIR "Install directory for system configuration files, defaults to CMAKE_INSTALL_PREFIX/etc" "")
add_printable_variable_path(MAN_INSTALL_DIR "Install directory for manual pages, defaults to SHARE_INSTALL_PREFIX/man" "")

macro(ensure_default_value _var _defvalue)
	if(${_var} STREQUAL "")
		set(${_var} ${_defvalue})
	endif(${_var} STREQUAL "")
endmacro(ensure_default_value)

ensure_default_value(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
ensure_default_value(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
ensure_default_value(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ensure_default_value(LIBEXEC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/libexec")
ensure_default_value(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ensure_default_value(LOCALE_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/locale")
ensure_default_value(SYSCONF_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/etc")
ensure_default_value(MAN_INSTALL_DIR "${SHARE_INSTALL_PREFIX}/man")

# ******************************
# Special directories
# ******************************

# If you add something here, consider whether or not you also
# need to add it to one or more .pc.in files (for Connector, etc)

set(privdatadir "${SHARE_INSTALL_PREFIX}/${PROJECT_NAME}")
set(privincludedir "${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibdir "${LIB_INSTALL_DIR}/${PROJECT_NAME}")
set(privlibexecdir "${LIBEXEC_INSTALL_DIR}/${PROJECT_NAME}")

SET(CMAKE_INSTALL_RPATH "${privlibdir}")

if(WIN32)
	# On Win32 there is no "rpath" mechanism. We install the private
	# shared libraries in $libdir, meaning the DLLs will actually be in
	# $bindir. This means just having $bindir in PATH will be enough.
	set(privsolibdir "${LIB_INSTALL_DIR}")
else(WIN32)
	set(privsolibdir "${privlibdir}")
endif(WIN32)

set(errordir "${privdatadir}/errors")
set(etspecdir "${privdatadir}/etspec")
set(evolutionhelpdir "${privdatadir}/help")
set(icondir "${privdatadir}/icons")
set(imagesdir "${privdatadir}/images")
set(moduledir "${privlibdir}/modules")
set(plugindir "${privlibdir}/plugins")
set(soundsdir "${privdatadir}/sounds")
set(uidir "${privdatadir}/ui")
set(viewsdir "${privdatadir}/views")
set(webkitdatadir "${privdatadir}/webkit")
set(webextensionsdir "${privlibdir}/web-extensions")
set(webextensionswebkiteditordir "${webextensionsdir}/webkit-editor")

# ******************************
# Dependencies
# ******************************

include(CodeCoverageGCOV)
include(CheckTarget)
include(DistTargets)
include(EvolutionMacros)
include(GLibTools)
include(GtkDoc)
include(IconCache)
include(InstalledTests)
include(PkgConfigEx)
include(SetupBuildFlags)
include(UninstallTarget)

include(FindIntltool)
include(FindLDAP)
include(FindSMIME)

# hidden option, usually not usable
option(OVERRIDE_APPLICATION_ID "Override application ID" "")
if(OVERRIDE_APPLICATION_ID STREQUAL "")
	unset(OVERRIDE_APPLICATION_ID)
endif(OVERRIDE_APPLICATION_ID STREQUAL "")

add_printable_option(ENABLE_MAINTAINER_MODE "Enable maintainer mode" OFF)
add_printable_variable(VERSION_SUBSTRING "Version substring, for packagers" "")
add_printable_variable(VERSION_COMMENT "Define if you want a comment appended to the version number" "")

if(ENABLE_MAINTAINER_MODE)
	set(BUILD_TESTING ON)
endif(ENABLE_MAINTAINER_MODE)

# Setup compiler/linker flags
setup_build_flags(${ENABLE_MAINTAINER_MODE})

set(MATH_LDFLAGS -lm)

CHECK_INCLUDE_FILE(sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILE(X11/XF86keysym.h HAVE_XFREE)
CHECK_FUNCTION_EXISTS(nl_langinfo HAVE_NL_LANGINFO)

# ******************************
# Check for nl_langinfo features
# ******************************

CHECK_C_SOURCE_COMPILES("#include <langinfo.h>
			int main(void) { char *detail = nl_langinfo (_NL_MEASUREMENT_MEASUREMENT); return 0; }" HAVE__NL_MEASUREMENT_MEASUREMENT)

# ******************************
# Dependencies
# ******************************

if(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-windows-2.0")
else(WIN32)
	set(GIO_UNIX_REQUIREMENT "gio-unix-2.0")
endif(WIN32)

add_printable_option(ENABLE_ALARM_NOTIFY_MODULE "Enable the 'alarm-notify' module" ON)

add_printable_option(ENABLE_GNOME_DESKTOP "Enable GNOME desktop dependency for thumbnails" ON)

if(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "gnome-desktop-3.0")
	set(HAVE_GNOME_DESKTOP ON)

	# It's checked for it twice, this one gives a hint to disable the dependency if not found
	pkg_check_modules_for_option(ENABLE_GNOME_DESKTOP "GNOME desktop dependency for thumbnails" GNOME_DESKTOP ${GNOME_DESKTOP_DEPENDENCY}>=${gnome_desktop_minimum_version})
else(ENABLE_GNOME_DESKTOP)
	set(GNOME_DESKTOP_DEPENDENCY "")
	set(HAVE_GNOME_DESKTOP OFF)
endif(ENABLE_GNOME_DESKTOP)

pkg_check_modules(GNOME_PLATFORM REQUIRED
	cairo-gobject
	gail-3.0>=${gdk_minimum_version}
	gdk-pixbuf-2.0>=${gdk_pixbuf_minimum_version}
	gio-2.0>=${glib_minimum_version}
	${GIO_UNIX_REQUIREMENT}
	gmodule-2.0>=${glib_minimum_version}
	${GNOME_DESKTOP_DEPENDENCY}
	gsettings-desktop-schemas>=${gsettings_desktop_schemas_minimum_version}
	gtk+-3.0>=${gdk_minimum_version}
	libxml-2.0>=${libxml_minimum_version}
	shared-mime-info>=${shared_mime_info_minimum_version}
	webkit2gtk-4.1>=${webkit2gtk_minimum_version}
)

pkg_check_modules(EVOLUTION_DATA_SERVER REQUIRED
	camel-1.2>=${eds_minimum_version}
	libebook-1.2>=${eds_minimum_version}
	libecal-2.0>=${eds_minimum_version}
	libedataserver-1.2>=${eds_minimum_version}
	libedataserverui-1.2>=${eds_minimum_version}
	libebackend-1.2>=${eds_minimum_version}
)

pkg_check_modules(A11Y REQUIRED atk)
pkg_check_modules(LIBSECRET REQUIRED libsecret-1>=${libsecret_minimum_version})
pkg_check_modules(LIBSOUP REQUIRED libsoup-3.0>=${soup_minimum_version})
pkg_check_modules(WEB_EXTENSION REQUIRED webkit2gtk-4.1>=${webkit2gtk_minimum_version})
pkg_check_modules(SQLITE3 REQUIRED sqlite3>=${sqlite_minimum_version})

pkg_check_variable(EDS_SOURCES_DBUS_SERVICE_NAME evolution-data-server-1.2 sourcesdbusservicename)
pkg_check_variable(E_DATA_SERVER_ICONDIR evolution-data-server-1.2 icondir)

# ******************************
# Enchant - support both, but better to use the same as the dependencies (gspell, webkitgtk+,...)
# ******************************

add_printable_variable(WITH_ENCHANT_VERSION "Set Enchant version to use" "auto")
set(enchant_version_values auto 1 2)
set_property(CACHE WITH_ENCHANT_VERSION PROPERTY STRINGS ${enchant_version_values})

if(WITH_ENCHANT_VERSION STREQUAL "1")
	pkg_check_modules(ENCHANT REQUIRED enchant>=${enchant1_minimum_version})
else(WITH_ENCHANT_VERSION STREQUAL "1")
	if(WITH_ENCHANT_VERSION STREQUAL "2")
		pkg_check_modules(ENCHANT REQUIRED enchant-2>=${enchant2_minimum_version})
	else(WITH_ENCHANT_VERSION STREQUAL "2")

=== data/icons/CMakeLists.txt ===
set(public_icons
	hicolor_apps_16x16_evolution-mail.png
	hicolor_apps_16x16_evolution-memos.png
	hicolor_apps_16x16_evolution-tasks.png
	hicolor_apps_22x22_evolution-mail.png
	hicolor_apps_22x22_evolution-memos.png
	hicolor_apps_22x22_evolution-tasks.png
	hicolor_apps_24x24_evolution-mail.png
	hicolor_apps_24x24_evolution-memos.png
	hicolor_apps_24x24_evolution-tasks.png
	hicolor_apps_32x32_evolution-mail.png
	hicolor_apps_32x32_evolution-memos.png
	hicolor_apps_32x32_evolution-tasks.png
	hicolor_apps_48x48_evolution-mail.png
	hicolor_apps_48x48_evolution-memos.png
	hicolor_apps_48x48_evolution-tasks.png
	hicolor_apps_scalable_evolution.svg
	hicolor_apps_scalable_evolution-symbolic.svg
)

# hicolor_status_16x16_wrapped.png was copied from Firefox
# (toolkit/themes/gnomestripe/global/icons/wrap.png), which
# contained the following notice:
#
#     All files in this directory are assumed to be licensed under the
#     tri-license (MPL/GPL/LGPL) used throughout this codebase.
#
# There is no corresponding SVG file. */

set(private_icons
	hicolor_apps_16x16_contact-editor.png
	hicolor_apps_16x16_im-aim.png
	hicolor_apps_16x16_im-icq.png
	hicolor_apps_16x16_im-jabber.png
	hicolor_apps_16x16_im-matrix.png
	hicolor_apps_16x16_im-msn.png
	hicolor_apps_16x16_im-nov.png
	hicolor_apps_16x16_im-yahoo.png
	hicolor_apps_22x22_contact-editor.png
	hicolor_apps_22x22_im-aim.png
	hicolor_apps_22x22_im-icq.png
	hicolor_apps_22x22_im-jabber.png
	hicolor_apps_22x22_im-matrix.png
	hicolor_apps_22x22_im-msn.png
	hicolor_apps_22x22_im-nov.png
	hicolor_apps_22x22_im-yahoo.png
	hicolor_apps_24x24_contact-editor.png
	hicolor_apps_24x24_im-aim.png
	hicolor_apps_24x24_im-icq.png
	hicolor_apps_24x24_im-jabber.png
	hicolor_apps_24x24_im-matrix.png
	hicolor_apps_24x24_im-msn.png
	hicolor_apps_24x24_im-nov.png
	hicolor_apps_24x24_im-yahoo.png
	hicolor_apps_32x32_contact-editor.png
	hicolor_apps_48x48_contact-editor.png
	hicolor_apps_128x128_contact-editor.png
	hicolor_apps_scalable_evolution-mail-symbolic.svg
	hicolor_apps_scalable_evolution-memos-symbolic.svg
	hicolor_apps_scalable_evolution-tasks-symbolic.svg
	hicolor_apps_scalable_im-aim.svg
	hicolor_apps_scalable_im-icq.svg
	hicolor_apps_scalable_im-jabber.svg
	hicolor_apps_scalable_im-matrix.svg
	hicolor_apps_scalable_im-msn.svg
	hicolor_apps_scalable_im-nov.svg
	hicolor_apps_scalable_im-yahoo.svg
	hicolor_actions_16x16_folder-copy.png
	hicolor_actions_16x16_folder-move.png
	hicolor_actions_16x16_mail-archive.png
	hicolor_actions_16x16_mail-copy.png
	hicolor_actions_16x16_mail-move.png
	hicolor_actions_16x16_go-today.png
	hicolor_actions_16x16_view-calendar-day.png
	hicolor_actions_16x16_view-calendar-list.png
	hicolor_actions_16x16_view-calendar-month.png
	hicolor_actions_16x16_view-calendar-week.png
	hicolor_actions_16x16_view-calendar-workweek.png
	hicolor_actions_16x16_view-calendar-year.png
	hicolor_actions_16x16_x-office-address-book.png
	hicolor_actions_16x16_x-office-calendar.png
	hicolor_actions_22x22_go-today.png
	hicolor_actions_22x22_view-calendar-day.png
	hicolor_actions_22x22_view-calendar-list.png
	hicolor_actions_22x22_view-calendar-month.png
	hicolor_actions_22x22_view-calendar-week.png
	hicolor_actions_22x22_view-calendar-workweek.png
	hicolor_actions_22x22_view-calendar-year.png
	hicolor_actions_22x22_x-office-address-book.png
	hicolor_actions_22x22_x-office-calendar.png
	hicolor_actions_24x24_go-today.png
	hicolor_actions_24x24_mail-archive.png
	hicolor_actions_24x24_query-free-busy.png
	hicolor_actions_24x24_view-calendar-day.png
	hicolor_actions_24x24_view-calendar-list.png
	hicolor_actions_24x24_view-calendar-month.png
	hicolor_actions_24x24_view-calendar-week.png
	hicolor_actions_24x24_view-calendar-workweek.png
	hicolor_actions_24x24_view-calendar-year.png
	hicolor_actions_24x24_x-office-address-book.png
	hicolor_actions_24x24_x-office-calendar.png
	hicolor_actions_32x32_view-calendar-day.png
	hicolor_actions_32x32_view-calendar-list.png
	hicolor_actions_32x32_view-calendar-month.png
	hicolor_actions_32x32_view-calendar-week.png
	hicolor_actions_32x32_view-calendar-workweek.png
	hicolor_actions_32x32_view-calendar-year.png
	hicolor_actions_32x32_x-office-address-book.png
	hicolor_actions_32x32_x-office-calendar.png
	hicolor_actions_48x48_x-office-address-book.png
	hicolor_actions_48x48_x-office-calendar.png
	hicolor_actions_scalable_accessories-text-editor-symbolic.svg
	hicolor_actions_scalable_folder-saved-search-symbolic.svg
	hicolor_actions_scalable_go-today-symbolic.svg
	hicolor_actions_scalable_mail-archive-symbolic.svg
	hicolor_actions_scalable_mail-inbox-symbolic.svg
	hicolor_actions_scalable_mail-mark-junk-symbolic.svg
	hicolor_actions_scalable_mail-mark-not-junk-symbolic.svg
	hicolor_actions_scalable_mail-outbox-symbolic.svg
	hicolor_actions_scalable_mail-sent-symbolic.svg
	hicolor_actions_scalable_markdown-bold.svg
	hicolor_actions_scalable_markdown-bold-dark.svg
	hicolor_actions_scalable_markdown-bullets.svg
	hicolor_actions_scalable_markdown-bullets-dark.svg
	hicolor_actions_scalable_markdown-code.svg
	hicolor_actions_scalable_markdown-code-dark.svg
	hicolor_actions_scalable_markdown-emoji.svg
	hicolor_actions_scalable_markdown-emoji-dark.svg
	hicolor_actions_scalable_markdown-header.svg
	hicolor_actions_scalable_markdown-header-dark.svg
	hicolor_actions_scalable_markdown-help.svg
	hicolor_actions_scalable_markdown-help-dark.svg
	hicolor_actions_scalable_markdown-italic.svg
	hicolor_actions_scalable_markdown-italic-dark.svg
	hicolor_actions_scalable_markdown-link.svg
	hicolor_actions_scalable_markdown-link-dark.svg
	hicolor_actions_scalable_markdown-numbers.svg
	hicolor_actions_scalable_markdown-numbers-dark.svg
	hicolor_actions_scalable_markdown-preview.svg
	hicolor_actions_scalable_markdown-preview-dark.svg
	hicolor_actions_scalable_markdown-quote.svg
	hicolor_actions_scalable_markdown-quote-dark.svg
	hicolor_actions_scalable_stock_bell-symbolic.svg
	hicolor_actions_scalable_stock_insert-note-symbolic.svg
	hicolor_actions_scalable_stock_insert-rule-symbolic.svg
	hicolor_actions_scalable_stock_insert-table-symbolic.svg
	hicolor_actions_scalable_stock_people-symbolic.svg
	hicolor_actions_scalable_stock_shared-by-me-symbolic.svg
	hicolor_actions_scalable_stock_shared-to-me-symbolic.svg
	hicolor_actions_scalable_stock_signature-symbolic.svg
	hicolor_actions_scalable_stock_signature-bad-symbolic.svg
	hicolor_actions_scalable_stock_signature-ok-symbolic.svg
	hicolor_actions_scalable_stock_task-symbolic.svg
	hicolor_actions_scalable_stock_task-assigned-symbolic.svg
	hicolor_actions_scalable_stock_task-assigned-to-symbolic.svg
	hicolor_actions_scalable_stock_timezone-symbolic.svg
	hicolor_actions_scalable_user-trash-symbolic.svg
	hicolor_actions_scalable_view-calendar-day.svg
	hicolor_actions_scalable_view-calendar-day-symbolic.svg
	hicolor_actions_scalable_view-calendar-list.svg
	hicolor_actions_scalable_view-calendar-list-symbolic.svg
	hicolor_actions_scalable_view-calendar-month.svg
	hicolor_actions_scalable_view-calendar-month-symbolic.svg
	hicolor_actions_scalable_view-calendar-week.svg
	hicolor_actions_scalable_view-calendar-week-symbolic.svg
	hicolor_actions_scalable_view-calendar-workweek.svg
	hicolor_actions_scalable_view-calendar-workweek-symbolic.svg
	hicolor_actions_scalable_view-calendar-year.svg
	hicolor_actions_scalable_view-calendar-year-symbolic.svg
	hicolor_actions_scalable_view-pin.svg
	hicolor_actions_scalable_view-pin-symbolic.svg
	hicolor_actions_scalable_x-office-address-book-symbolic.svg
	hicolor_actions_scalable_x-office-calendar-symbolic.svg
	hicolor_categories_24x24_preferences-calendar-and-tasks.svg
	hicolor_categories_24x24_preferences-certificates.svg
	hicolor_categories_24x24_preferences-composer.svg
	hicolor_categories_24x24_preferences-contact.svg
	hicolor_categories_24x24_preferences-mail.svg
	hicolor_categories_24x24_preferences-mail-accounts.svg
	hicolor_categories_24x24_preferences-system-network-proxy.svg
	hicolor_categories_48x48_preferences-autocompletion.png
	hicolor_categories_48x48_preferences-calendar-and-tasks.png
	hicolor_categories_48x48_preferences-certificates.png
	hicolor_categories_48x48_preferences-composer.png
	hicolor_categories_48x48_preferences-mail.png
	hicolor_categories_48x48_preferences-mail-accounts.png
	hicolor_categories_48x48_preferences-plugins.svg
	hicolor_categories_48x48_preferences-system-network-proxy.png
	hicolor_places_16x16_mail-inbox.png
	hicolor_places_16x16_mail-outbox.png
	hicolor_places_16x16_mail-sent.png
	hicolor_places_22x22_mail-inbox.png
	hicolor_places_22x22_mail-outbox.png
	hicolor_places_22x22_mail-sent.png
	hicolor_places_24x24_mail-inbox.png
	hicolor_places_24x24_mail-outbox.png
	hicolor_places_24x24_mail-sent.png
	hicolor_status_16x16_wrapped.png
	hicolor_status_32x32_aspect-ratio-lock.png
	hicolor_status_32x32_aspect-ratio-unlock.png
	hicolor_status_32x32_offline.svg
	hicolor_status_32x32_online.svg
	hicolor_status_scalable_rss.svg
	hicolor_status_scalable_rss-symbolic.svg
)

# These icons were in gnome-icon-theme prior to GNOME 2.30.
# XXX Need to reevaluate which icons we really need and drop the rest.
#     Many are not Tango-compliant and look dated and out of place.
set(stock_private_icons
	hicolor_actions_16x16_stock_bell.png
	hicolor_actions_16x16_stock_contact-list.png
	hicolor_actions_16x16_stock_insert-note.png
	hicolor_actions_16x16_stock_insert-rule.png
	hicolor_actions_16x16_stock_insert-table.png
	hicolor_actions_16x16_stock_mail-filters-apply.png
	hicolor_actions_16x16_stock_mail-flag-for-followup-done.png
	hicolor_actions_16x16_stock_mail-flag-for-followup.png
	hicolor_actions_16x16_stock_mail-open-multiple.png
	hicolor_actions_16x16_stock_mail-unread-multiple.png
	hicolor_actions_16x16_stock_new-24h-appointment.png
	hicolor_actions_16x16_stock_notes.png
	hicolor_actions_16x16_stock_people.png
	hicolor_actions_16x16_stock_select-column.png
	hicolor_actions_16x16_stock_select-row.png
	hicolor_actions_16x16_stock_shared-by-me.png
	hicolor_actions_16x16_stock_shared-to-me.png
	hicolor_actions_16x16_stock_show-all.png
	hicolor_actions_16x16_stock_task-assigned-to.png
	hicolor_actions_16x16_stock_task-assigned.png
	hicolor_actions_16x16_stock_task-recurring.png
	hicolor_actions_16x16_stock_task.png
	hicolor_actions_16x16_stock_text-monospaced.png
	hicolor_actions_16x16_stock_timezone.png
	hicolor_actions_16x16_stock_todo.png
	hicolor_actions_16x16_stock_video-conferencing.png
	hicolor_actions_16x16_stock_view-details.png
	hicolor_actions_24x24_stock_new-24h-appointment.png
	hicolor_actions_24x24_stock_contact-list.png
	hicolor_actions_24x24_stock_insert-note.png
	hicolor_actions_24x24_stock_insert-rule.png
	hicolor_actions_24x24_stock_insert-table.png
	hicolor_actions_24x24_stock_mail-filters-apply.png
	hicolor_actions_24x24_stock_mail-open-multiple.png
	hicolor_actions_24x24_stock_mail-unread-multiple.png
	hicolor_actions_24x24_stock_notes.png
	hicolor_actions_24x24_stock_people.png
	hicolor_actions_24x24_stock_select-column.png
	hicolor_actions_24x24_stock_select-row.png
	hicolor_actions_24x24_stock_shared-by-me.png
	hicolor_actions_24x24_stock_shared-to-me.png
	hicolor_actions_24x24_stock_show-all.png
	hicolor_actions_24x24_stock_task-assigned-to.png
	hicolor_actions_24x24_stock_task-assigned.png
	hicolor_actions_24x24_stock_task-recurring.png
	hicolor_actions_24x24_stock_task.png
	hicolor_actions_24x24_stock_text-monospaced.png
	hicolor_actions_24x24_stock_timezone.png
	hicolor_actions_24x24_stock_todo.png
	hicolor_actions_24x24_stock_video-conferencing.png
	hicolor_actions_48x48_stock_alarm.png
	hicolor_actions_48x48_stock_mail-flag-for-followup-done.png
	hicolor_actions_48x48_stock_mail-flag-for-followup.png
	hicolor_actions_48x48_stock_new-24h-appointment.png
	hicolor_actions_48x48_stock_notes.png
	hicolor_actions_48x48_stock_people.png
	hicolor_actions_48x48_stock_timezone.png
	hicolor_actions_48x48_stock_todo.png
	hicolor_status_16x16_stock_check-filled.png
	hicolor_status_16x16_stock_score-high.png

=== debian/changelog ===
evolution (3.50.0-1) unstable; urgency=medium

  * New upstream release
  * Bump e-d-s dependencies and build-dependencies to 3.50.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 15:11:19 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: evolution
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-gnome,
               dpkg-dev (>= 1.16.1),
               libchamplain-gtk-0.12-dev (>= 0.12.21),
               libglib2.0-dev (>= 2.66),
               libgtk-3-dev (>= 3.10.0),
               libgail-3-dev (>= 3.0.2),
               libgdk-pixbuf-2.0-dev (>= 2.24.0),
               libcamel1.2-dev (>= 3.50.0),
               libcmark-dev,
               libebook1.2-dev (>= 3.50.0),
               libecal2.0-dev (>= 3.50.0),
               libedataserver1.2-dev (>= 3.50.0),
               libedataserverui1.2-dev (>= 3.50.0),
               libebackend1.2-dev (>= 3.50.0),
               evolution-data-server-dev (>= 3.50.0),
               evolution-data-server-dev (<< 3.51),
               libwebkit2gtk-4.1-dev,
               libgeocode-glib-dev (>= 3.26.3),
               libgnome-desktop-3-dev (>= 3.8.0),
               libgspell-1-dev,
               libsoup-3.0-dev (>= 3.1),
               libsqlite3-dev (>= 3.7.17),
               libxml2-dev (>= 2.7.3),
               libenchant-2-dev (>= 2.2.0),
               shared-mime-info (>= 0.22),
               libnotify-dev (>= 0.7),
               libgweather-4-dev (>= 4.1),
               libcanberra-gtk3-dev (>= 0.25),
               intltool (>= 0.40.0),
               itstool,
               libtool (>= 2.2),
               pkg-config (>= 0.16.0),
               gtk-doc-tools (>= 1.14),
               libcairo2-dev (>= 1.10),
               libatk1.0-dev,
               x11proto-core-dev,
               libldap2-dev,
               libnspr4-dev,
               libnss3-dev (>= 2:3.72-1~),
               psmisc,
               libytnef0-dev,
               libical-dev (>= 2.0.0),
               libpst-dev (>= 0.6.54),
               libsm-dev,
               libice-dev,
               gsettings-desktop-schemas-dev (>= 2.91.92),
               libclutter-gtk-1.0-dev (>= 0.90),
               highlight,
               libcryptui-dev,
               libgnome-autoar-0-dev (>= 0.1.1),
               libgnome-autoar-gtk-0-dev (>= 0.1.1),
               libunity-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Git: https://salsa.debian.org/gnome-team/evolution.git
Vcs-Browser: https://salsa.debian.org/gnome-team/evolution
Homepage: https://wiki.gnome.org/Apps/Evolution

Package: evolution
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution-common (= ${source:Version}),
         evolution-data-server (>= 3.50.0),
         evolution-data-server (<< 3.51),
         default-dbus-system-bus | dbus-system-bus,
         psmisc
Recommends: evolution-plugins,
            evolution-plugin-bogofilter | evolution-plugin-spamassassin,
            evolution-plugin-pstimport,
            yelp
Suggests: evolution-ews,
          evolution-plugins-experimental,
          gnupg,
          network-manager
Provides: mail-reader,
          imap-client
Breaks: evolution-common (<< 3.20.4-1~)
Replaces: evolution-common (<< 3.20.4-1~)
Description: groupware suite with mail client and organizer
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 Additional features include integration with Exchange
 servers, newsgroup client, LDAP support and web calendars
 .
 The following plugins belonging to the "base" set are included.
  - calendar-file
  - calendar-http
  - itip-formatter
  - default-source
  - addressbook-file
  - mark-all-read
  - publish-calendar
  - caldav
  - imap-features
  - google-account-setup
  - webdav-account-setup
  - calendar-weather
  - sa-junk-plugin
  - bogo-junk-pluginm

Package: libevolution
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         evolution-common (= ${source:Version}),
Description: evolution libraries
 This package contains libraries used by Evolution.

Package: evolution-common
Architecture: all
Depends: ${misc:Depends}
Recommends: evolution
Description: architecture independent files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains the architecture independent files needed
 by the evolution package.

Package: evolution-dev
Section: devel
Architecture: any
Depends: libevolution (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libenchant-2-dev (>= 2.2.0),
# evolution-plugin
         libcamel1.2-dev,
# evolution-shell
         libebackend1.2-dev,
         libgtk-3-dev (>= 3.10),
         libgnome-desktop-3-dev,
         libwebkit2gtk-4.1-dev,
         libedataserver1.2-dev,
         libedataserverui1.2-dev,
Description: development library files for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package contains header and static library files
 for developing Evolution components.

Package: evolution-plugins
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Recommends: notification-daemon
Description: standard plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for evolution. The plugins belong
 to the set of "standard" plugins, which are useful, but not
 necessary for a functioning application.
 .
 The following standard plugins are included.
  - attachment-reminder
  - bbdb
  - dbx-import
  - email-custom-header
  - face
  - mailing-list-actions
  - mail-notification
  - mail-to-task
  - prefer-plain
  - save-calendar
  - sender-validator
  - templates

Package: evolution-plugins-experimental
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version})
Description: experimental plugins for Evolution
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes plugins for Evolution. The plugins belong
 to the set of "experimental" plugins, which are unsupported, have
 undergone little testing, and might cause problems to the rest of
 Evolution. Use with care.
 .
 The following plugins are included.
  - external-editor
  - contacts-map

Package: evolution-plugin-bogofilter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         bogofilter
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (bogofilter)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the bogofilter spam filter module for Evolution.

Package: evolution-plugin-pstimport
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
Breaks: evolution-common (<< 3.25.91),
        evolution-plugins (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (pstimport)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes a plugin for Evolution that enables importing
 Microsoft Outlook messages from a PST file.

Package: evolution-plugin-spamassassin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (= ${binary:Version}),
         spamassassin,
Breaks: evolution-common (<< 3.25.91),
        libevolution (<< 3.25.91)
Replaces: evolution-common (<< 3.25.91),
          libevolution (<< 3.25.91)
Description: standard plugins for Evolution (spamassassin)
 Evolution is a groupware suite which integrates mail, calendar,
 address book, to-do list and memo tools.
 .
 This package includes the spamassasin spam filter module for Evolution.

#Package: evolution-tests
#Architecture: any
#Depends: ${shlibs:Depends},
#         ${misc:Depends},
#Description: Installed tests for Evolution
# Evolution is a groupware suite which integrates mail, calendar,
# address book, to-do list and memo tools.
# .
# This package contains test programs, designed to be run as part of a
# regression testsuite.

## evolution 3.50.3

=== debian/changelog ===
evolution (3.50.3-1) unstable; urgency=medium

  * New upstream release
    - Bug Fixes:
      + Calendar: Improve print of the Month view
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2593)
      + rss: Better parse itunes feeds
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2604)
      + Drag and drop images in HTML composer from Chrome
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2608)
      + EMFolderTree: Do not expand to-be-selected folder
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2613)
    - Miscellaneous:
      + rss: Ensure feed icon size to not be too large
        (https://gitlab.gnome.org/GNOME/evolution/-/commit/b9419a22)
  * debian/control: Bump e-d-s dependencies and build-dependencies
    to 3.50.3

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 08 Jan 2024 20:57:19 -0500

evolution (3.50.2-1) unstable; urgency=medium

  * New upstream release
    - Bug Fixes:
      + EAttachment: Ask for GFileInfo's icon only when attribute
        is set
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2550)
      + Mail: Subject header not decoded with encrypted messages
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2551)
      + On empty mailbox new mail is automatically selected and
        marked read
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2552)
      + Contacts: Update preview on contact change in List View
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2557)
      + Mail: Search with "current folder and subfolders" in local
        Trash fails
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2569)
      + "Do not sign meeting requests" has no effect
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2570)
    - Miscellaneous:
      + EContactCard: Card sometimes hides values
      + docs: Add API indexes for new symbols in 3.50
      + Fix a memory leak in ECompEditor
      + ECompoEditor: Some attachments can be hidden
      + Calendar: Go to day/today in Year View doesn't update internal
        view dates
      + data: Update appdata (Sabri Ünal)
      + EYearView: Fix a crash when moving through search results
  * Stop using debian/control.in
  * debian/control: Bump e-d-s dependencies and build-dependencies
    to 3.50.2

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 05 Dec 2023 18:09:56 -0500

evolution (3.50.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Bug Fixes:
      + Mail: Correct conversion of UTF-16 encoded text files
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/1436)
      + ConfigLookup: Default to STARTTLS for LDAP from SRV records
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/1608)
      + EWebView: Enable spell checking for editable fields
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2526)
      + Make SRV config lookup records lower priority than the others
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2533)
      + Calendar: "Work Week" column separator light in dark theme
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2535)
      + OpenPGP: "Always sign/encrypt" doesn't always work (nkr)
        (https://gitlab.gnome.org/GNOME/evolution/-/issues/2546)
      + Update default calendar colors
        (https://gitlab.gnome.org/GNOME/evolution-data-server/-/issues/494)
    - Miscellaneous:
      + flatpak: Add missing comma in the manifests
  * debian/control.in: Bump e-d-s dependencies and build-dependencies to 3.50.1

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 24 Oct 2023 07:25:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: evolution
 Section: gnome
 Priority: optional
@@ -16,14 +12,14 @@
                libgtk-3-dev (>= 3.10.0),
                libgail-3-dev (>= 3.0.2),
                libgdk-pixbuf-2.0-dev (>= 2.24.0),
-               libcamel1.2-dev (>= 3.50.0),
+               libcamel1.2-dev (>= 3.50.3),
                libcmark-dev,
-               libebook1.2-dev (>= 3.50.0),
-               libecal2.0-dev (>= 3.50.0),
-               libedataserver1.2-dev (>= 3.50.0),
-               libedataserverui1.2-dev (>= 3.50.0),
-               libebackend1.2-dev (>= 3.50.0),
-               evolution-data-server-dev (>= 3.50.0),
+               libebook1.2-dev (>= 3.50.3),
+               libecal2.0-dev (>= 3.50.3),
+               libedataserver1.2-dev (>= 3.50.3),
+               libedataserverui1.2-dev (>= 3.50.3),
+               libebackend1.2-dev (>= 3.50.3),
+               evolution-data-server-dev (>= 3.50.3),
                evolution-data-server-dev (<< 3.51),
                libwebkit2gtk-4.1-dev,
                libgeocode-glib-dev (>= 3.26.3),
@@ -73,7 +69,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          evolution-common (= ${source:Version}),
-         evolution-data-server (>= 3.50.0),
+         evolution-data-server (>= 3.50.3),
          evolution-data-server (<< 3.51),
          default-dbus-system-bus | dbus-system-bus,
          psmisc
